package com.my.mybatis.ureport;

import cn.hutool.log.StaticLog;
import com.bstek.ureport.definition.datasource.BuildinDatasource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.SQLException;

@Component
public class UReportDatasource implements BuildinDatasource {

    private final DataSource dataSource;

    public UReportDatasource(DataSource dataSource) {
        this.dataSource = dataSource;
    }

    @Override
    public String name() {
        return "MySQL数据源";
    }

    @Override
    public Connection getConnection() {
        try {
            return dataSource.getConnection();
        } catch (SQLException e) {
            StaticLog.error("UReport获取数据源连接失败");
            e.printStackTrace();
        }
        return null;
    }
}
